/*******************************************************************************
* File Name: main.c
*
* Version: 1.10
*
* Description:
*  The example project consists of 5 simple steps. Each of the steps performs 
*  single File System operation. 
*  Step#1: Gets SD card name and displays it on the LCD.
*  Step#2: Performs Format SD operation and displays the status of the format 
*  operation execution.
*  Step#3: Creates directory with the name - "Dir" and displays a status of 
*  directory creation operation.
*  Step#4: Creates a file - "File.txt" in the root directory and writes the 
*  following string to the file -"123456789". Displays a status of operations 
*  execution.
*  Step#5: Copies newly created file ("File.txt") to directory "Dir" with the 
*  name - "File1.txt". 
*
********************************************************************************
* Copyright 2011-2012, Cypress Semiconductor Corporation. All rights reserved.
* This software is owned by Cypress Semiconductor Corporation and is protected
* by and subject to worldwide patent and copyright laws and treaties.
* Therefore, you may use this software only as provided in the license agreement
* accompanying the software package from which you obtained this software.
* CYPRESS AND ITS SUPPLIERS MAKE NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* WITH REGARD TO THIS SOFTWARE, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT,
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*******************************************************************************/

#include "project.h"
#include "string.h"
#include "stdlib.h"
#include <FS.h>
#include <string.h>
#include <Global.h>

int main()
{
char abBuffer[1];
FS_FILE * pFile;
	FS_Init();
	UART_Start();

	pFile = FS_FOpen("new.txt", "r");

int i = 0;
int n=0;
	CyGlobalIntEnable;

	if (pFile)
	{
		/* long blinks phase */
		for( i = 0; i < 5; i++ )
		{
	      LED_Write(0u);
	      CyDelay(1000);
	      LED_Write(1u);
	      CyDelay(1000);
		}

		while(FS_FEof(pFile) == 0 )	// mod'd len: pFile was dataFile
		{
			n=FS_Read(pFile, abBuffer, 1);

			switch(abBuffer[0])
			{
			case '1':
				LED_Write(1);
				CyDelay(1);	// mod'd len: shorten time to 50ms
				break;
			case '0':	
				LED_Write(0);
				CyDelay(1);	// mod'd len: shorten time to 50ms
				break;			
			default:
				break;	// throw away character.
			}
			UART_PutChar(abBuffer[0]);
		}
		LED_Write(0);
		UART_PutString("\r\nEnd of File.\r\n");
		FS_FClose(pFile);
	}
}


/* [] END OF FILE */

